# Détails techniques

## Matériel

Un ordinateur nommé *Tomate* avec :
* 8 Go de RAM
* Système sur SSD de 500 Go
* PeerTube sur HDD de 1 To
* Intel Core i7, 64 bits, 8 cœurs, 3,1 GHz

## Système

[YunoHost](https://yunohost.org) 11, basée sur [Debian](https://www.debian.org)

## DNS

Le domaine `antopie.org` est enregistré chez Gandi et administré sur leur interface Web LiveDNS.
[DNSSEC](https://fr.wikipedia.org/wiki/Domain_Name_System_Security_Extensions) est activé dessus.
Il est enregistré dans la [HSTS Preload List](https://hstspreload.org).

## Accès Onion

En plus de l'accès par défaut par le DNS, c'est généralement possible, en utilisant Tor, d'atteindre tous les services HTTP de Tomate par une adresse Onion en échangeant `https://*.antopie.org` et `http://*.sou4vla4k5peskbl3dlzhh3e6ve5eu3m3hhsmiidqevlsd6lqo3qq2ad.onion` dans les adresses, bien que ce fonctionnement puisse varier selon le logiciel accédé.

<?php if (DESTINATION === "onion") { ?>
  <a href="https://antopie.org/details-techniques.html" class="button">Cette page par le <abbr title="Domain Name System">DNS</abbr></a>
<?php } else { ?>
  <a href="http://sou4vla4k5peskbl3dlzhh3e6ve5eu3m3hhsmiidqevlsd6lqo3qq2ad.onion/details-techniques.html" class="button">Cette page en Onion</a>
<?php } ?>

## Internet

Tomate est connectée à Internet via une connexion du FAI Free en fibre optique (FTTH) à Paris.
Adresse IPv6 : `2a01:e0a:5d6:6de0:acab:3:3:3`
Adresse IPv4 : `82.66.61.19`

## Journaux de connexion

Le serveur utilise la configuration par défaut de YunoHost pour les journaux de connexion (logs), dont la durée de conservation est de 14 jours pour les services HTTP.

*[FTTH]: Fiber To The Home
*[FAI]: Fournisseur d'Accès à Internet
*[DNSSEC]: Domain Name System Security Extensions
*[HSTS]: HTTP Strict Transport Security
*[DNS]: Domain Name System
